#!/bin/bash
# save this file, add +x, run
# these two commands create instances of printers.
# with these, you do simply lpr -P <printer>/<instance>  filename

sixlakh="sixlakh" # the name in your system of Kyocera Mita TASKalfa 3550ci KPDL with IP 172.16.68.241
twolakh="twolakh" # the name in your system of the smaller Kyocera Mita KM-4050 KPDL with IP 172.16.68.246/
ippsixlakh="ippsixlakh"   # using ipp
chsixlakh="chsixlakh"	# using chemistry
csesixlakh="csesixlakh"	# using  CSE

standardoptions=" -o Option19=One -o Option20=False -o Option26=False -o Option27=True -o Option25=False -o Option21=True -o Option22=True -o Option17=DF770 -o Option18=HardDisk -o JCLTrapping=Medium -o JCLRedLevel=None -o JCLGreenLevel=None -o JCLBlueLevel=None -o JCLHueMaster=None -o JCLHueRed=None -o JCLHueYellow=None -o JCLHueGreen=None -o JCLHueCyan=None -o JCLHueBlue=None -o JCLHueMagenta=None -o JCLLightnessGamma=None -o JCLLightnessContrast=None -o JCLSaturation=None -o  KCHalftone=Gradation -o KCGlossmode=False -o Colorreprod=Printersettings -o GRAYBLKTONER=False -o RCM=PrnDef -o CIE=PrnDef   -o KCRotate=None  -o KCFoldA=None -o KCFoldB=None -o KCFoldC=None -o KCFoldD=None -o Rotate=False -o Jog=None -o KCCollate=On -o Collate=True -o KmManagment=Default -o KCVersion=Default"

lpoptions -p $sixlakh/a4duplex  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=None -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Plain -o OutputBin=FDStackerA -o KCStaple=None -o StapleCount=None  -o KCPunch=None -o KCBooklet=None -o KCFold=None  -o Duplex=DuplexNoTumble  

lpoptions -p $sixlakh/a4staple  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=None -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Plain -o OutputBin=FDStackerA -o KCStaple=Upperleft -o StapleCount=None  -o KCPunch=None -o KCBooklet=None -o KCFold=None  -o Duplex=DuplexNoTumble  

lpoptions -p $sixlakh/a4punched  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=On -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Plain -o OutputBin=FDStackerA -o KCStaple=None -o StapleCount=None  -o KCPunch=2HoleEUR -o KCBooklet=None -o KCFold=None  -o Duplex=DuplexNoTumble  

lpoptions -p $sixlakh/a4punchedstaple  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=On -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Plain -o OutputBin=FDStackerA -o KCStaple=Upperleft -o StapleCount=None  -o KCPunch=2HoleEUR -o KCBooklet=None -o KCFold=None  -o Duplex=DuplexNoTumble  

lpoptions -p $sixlakh/a3booklet  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=On -o PageSize=A3 -o PageRegion=A4 -o InputSlot=PF730C  -o MediaType=Plain -o OutputBin=None -o KCStaple=Center -o StapleCount=None  -o KCPunch=None -o KCBooklet=Left -o KCFold=On  -o Duplex=DuplexTumble  

lpoptions -p $sixlakh/a3exam  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=On -o PageSize=A3 -o PageRegion=A4   -o MediaType=Plain -o OutputBin=None -o KCStaple=Center -o StapleCount=None  -o KCPunch=None -o KCBooklet=Left -o KCFold=On  -o Duplex=DuplexTumble  

lpoptions -p $sixlakh/a4exam  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=None -o PageSize=A4 -o PageRegion=A4  -o MediaType=Plain -o OutputBin=FDStackerA -o KCStaple=Upperleft -o StapleCount=None  -o KCPunch=None -o KCBooklet=None -o KCFold=None  -o Duplex=DuplexNoTumble  

lpoptions -p $sixlakh/a4bond  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=None -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Bond -o OutputBin=FDStackerA -o KCStaple=None -o StapleCount=None  -o KCPunch=None -o KCBooklet=None -o KCFold=None  -o Duplex=DuplexNoTumble  

#lpoptions -p $sixlakh/a4booklet  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=On -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Plain -o OutputBin=None -o KCStaple=Center -o StapleCount=None  -o KCPunch=None -o KCBooklet=Left -o KCFold=On  -o Duplex=DuplexTumble  

##################################
lpoptions -p $ippsixlakh/a4duplex  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=None -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Plain -o OutputBin=FDStackerA -o KCStaple=None -o StapleCount=None  -o KCPunch=None -o KCBooklet=None -o KCFold=None  -o Duplex=DuplexNoTumble  

lpoptions -p $ippsixlakh/a4staple  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=None -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Plain -o OutputBin=FDStackerA -o KCStaple=Upperleft -o StapleCount=None  -o KCPunch=None -o KCBooklet=None -o KCFold=None  -o Duplex=DuplexNoTumble  

lpoptions -p $ippsixlakh/a4punched  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=On -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Plain -o OutputBin=FDStackerA -o KCStaple=None -o StapleCount=None  -o KCPunch=2HoleEUR -o KCBooklet=None -o KCFold=None  -o Duplex=DuplexNoTumble  

lpoptions -p $ippsixlakh/a4punchedstaple  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=On -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Plain -o OutputBin=FDStackerA -o KCStaple=Upperleft -o StapleCount=None  -o KCPunch=2HoleEUR -o KCBooklet=None -o KCFold=None  -o Duplex=DuplexNoTumble  

lpoptions -p $ippsixlakh/a3booklet  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=On -o PageSize=A3 -o PageRegion=A4 -o InputSlot=PF730C -o MediaType=Plain -o OutputBin=None -o KCStaple=Center -o StapleCount=None  -o KCPunch=None -o KCBooklet=Left -o KCFold=On  -o Duplex=DuplexTumble  

lpoptions -p $ippsixlakh/a4booklet  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=On -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Plain -o OutputBin=None -o KCStaple=Center -o StapleCount=None  -o KCPunch=None -o KCBooklet=Left -o KCFold=On  -o Duplex=DuplexTumble  

lpoptions -p $ippsixlakh/a3exam  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=On -o PageSize=A3 -o PageRegion=A4   -o MediaType=Plain -o OutputBin=None -o KCStaple=Center -o StapleCount=None  -o KCPunch=None -o KCBooklet=Left -o KCFold=On  -o Duplex=DuplexTumble  

lpoptions -p $ippsixlakh/a4exam  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=None -o PageSize=A4 -o PageRegion=A4  -o MediaType=Plain -o OutputBin=FDStackerA -o KCStaple=Upperleft -o StapleCount=None  -o KCPunch=None -o KCBooklet=None -o KCFold=None  -o Duplex=DuplexNoTumble  

lpoptions -p $ippsixlakh/a4bond  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=None -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Bond -o OutputBin=FDStackerA -o KCStaple=None -o StapleCount=None  -o KCPunch=None -o KCBooklet=None -o KCFold=None  -o Duplex=DuplexNoTumble  
#######################################
##################################
lpoptions -p $csesixlakh/a4duplex  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=None -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Plain -o OutputBin=FDStackerA -o KCStaple=None -o StapleCount=None  -o KCPunch=None -o KCBooklet=None -o KCFold=None  -o Duplex=DuplexNoTumble  

lpoptions -p $csesixlakh/a4staple  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=None -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Plain -o OutputBin=FDStackerA -o KCStaple=Upperleft -o StapleCount=None  -o KCPunch=None -o KCBooklet=None -o KCFold=None  -o Duplex=DuplexNoTumble  

lpoptions -p $csesixlakh/a4punched  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=On -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Plain -o OutputBin=FDStackerA -o KCStaple=None -o StapleCount=None  -o KCPunch=2HoleEUR -o KCBooklet=None -o KCFold=None  -o Duplex=DuplexNoTumble  

lpoptions -p $csesixlakh/a4punchedstaple  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=On -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Plain -o OutputBin=FDStackerA -o KCStaple=Upperleft -o StapleCount=None  -o KCPunch=2HoleEUR -o KCBooklet=None -o KCFold=None  -o Duplex=DuplexNoTumble  

lpoptions -p $csesixlakh/a3booklet  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=On -o PageSize=A3 -o PageRegion=A4 -o InputSlot=PF730C -o MediaType=Plain -o OutputBin=None -o KCStaple=Center -o StapleCount=None  -o KCPunch=None -o KCBooklet=Left -o KCFold=On  -o Duplex=DuplexTumble  

lpoptions -p $csesixlakh/a4booklet  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray -o PagePolicy=On -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Plain -o OutputBin=None -o KCStaple=Center -o StapleCount=None  -o KCPunch=None -o KCBooklet=Left -o KCFold=On  -o Duplex=DuplexTumble  

#########################
lpoptions -p $twolakh/a4duplex -o Option19=False -o Option26=False -o Option25=False -o Option21=False -o Option22=False -o Option17=None -o Option18=HardDisk -o InstalledMemory=256MB -o Resolution=600dpi -o KCEcoprint=Off -o Smoothing=True -o PagePolicy=On -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF700A -o MediaType=Plain -o OutputBin=None -o KCStaple=None -o StapleCount=None -o KCRotate=None -o KCPunch=None -o KCBooklet=None -o KCFold=None -o Rotate=False -o Jog=None -o Duplex=DuplexNoTumble -o KCCollate=On -o KmManagment=Default -o KCSuperWatermark=None -o KCVersion=Default

lpoptions -p $twolakh/a3booklet -o Option19=False -o Option26=False -o Option25=False -o Option21=False -o Option22=False -o Option17=None -o Option18=HardDisk -o InstalledMemory=256MB -o Resolution=600dpi -o KCEcoprint=Off -o Smoothing=True -o PagePolicy=On -o PageSize=A3 -o PageRegion=A4 -o InputSlot=PF700B -o MediaType=Plain -o OutputBin=None -o KCStaple=None -o StapleCount=None -o KCRotate=None -o KCPunch=None -o KCBooklet=Left -o KCFold=None -o Rotate=False -o Jog=None -o Duplex=DuplexTumble -o KCCollate=On -o KmManagment=Default -o KCSuperWatermark=None -o KCVersion=Default

lpoptions -p $twolakh/a4bond -o Option19=False -o Option26=False -o Option25=False -o Option21=False -o Option22=False -o Option17=None -o Option18=HardDisk -o InstalledMemory=256MB -o Resolution=600dpi -o KCEcoprint=Off -o Smoothing=True -o PagePolicy=On -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF700A -o MediaType=Bond -o OutputBin=None -o KCStaple=None -o StapleCount=None -o KCRotate=None -o KCPunch=None -o KCBooklet=None -o KCFold=None -o Rotate=False -o Jog=None -o Duplex=None -o KCCollate=On -o KmManagment=Default -o KCSuperWatermark=None -o KCVersion=Default
########################################


chstandardoptions=" -o Option19=One  -o Option26=False -o Option27=True -o Option25=False -o Option21=True -o Option22=True -o Option17=DF770 -o Option18=HardDisk -o JCLTrapping=Medium -o JCLRedLevel=None -o JCLGreenLevel=None -o JCLBlueLevel=None -o JCLHueMaster=None -o JCLHueRed=None -o JCLHueYellow=None -o JCLHueGreen=None -o JCLHueCyan=None -o JCLHueBlue=None -o JCLHueMagenta=None -o JCLLightnessGamma=None -o JCLLightnessContrast=None -o JCLSaturation=None -o Overprint=False -o KSCREENMODE=Normal -o  KCHalftone=Gradation -o KCGlossmode=False -o Colorreprod=Printersettings -o GRAYBLKTONER=False -o RCM=PrnDef -o CIE=PrnDef  -o PagePolicy=On  -o KCRotate=None  -o KCFoldA=None -o KCFoldB=None -o KCFoldC=None -o KCFoldD=None -o Rotate=False -o Jog=None -o KCCollate1=On -o Collate=True -o KmManagment=Default -o KCVersion=Default"


##################################
lpoptions -p $chsixlakh/a4duplex  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray  -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Plain -o OutputBin=FDStackerA -o KCStaple=None -o StapleCount=None  -o KCPunch=None -o KCBooklet=None -o KCFold=None  -o Duplex=DuplexNoTumble  

lpoptions -p $chsixlakh/a4staple  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray  -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Plain -o OutputBin=FDStackerA -o KCStaple=Upperleft -o StapleCount=None  -o KCPunch=None -o KCBooklet=None -o KCFold=None  -o Duplex=DuplexNoTumble  

lpoptions -p $chsixlakh/a4punched  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray  -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Plain -o OutputBin=FDStackerA -o KCStaple=None -o StapleCount=None  -o KCPunch=2HoleEUR -o KCBooklet=None -o KCFold=None  -o Duplex=DuplexNoTumble  

lpoptions -p $chsixlakh/a4punchedstaple  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray   -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Plain -o OutputBin=FDStackerA -o KCStaple=Upperleft -o StapleCount=None  -o KCPunch=2HoleEUR -o KCBooklet=None -o KCFold=None  -o Duplex=DuplexNoTumble  

lpoptions -p $chsixlakh/a3booklet  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray  -o PageSize=A3 -o PageRegion=A4 -o InputSlot=PF730D -o MediaType=Plain -o OutputBin=None -o KCStaple=Center -o StapleCount=None  -o KCPunch=None -o KCBooklet=Left -o KCFold=On  -o Duplex=DuplexTumble  

lpoptions -p $chsixlakh/a4booklet  $standardoptions -o KCEcoprint=Off -o ColorModel=Gray  -o PageSize=A4 -o PageRegion=A4 -o InputSlot=PF730A -o MediaType=Plain -o OutputBin=None -o KCStaple=Center -o StapleCount=None  -o KCPunch=None -o KCBooklet=Left -o KCFold=On  -o Duplex=DuplexTumble  

